<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Stéphanie Roussel, Jean-Marie Treins
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

include('../include/vars_adm.php');
include('../include/util.inc.php');
include('../include/new_etab.inc.php');
include('../include/utiljs.php');
include('../include/get.inc.php');

//=====================================================================
//// Programme principal
//=====================================================================
$style="arial_sadmin";
opensession("Sadmin",false);
if ($sess_login=='admstats') {
	aneantir_session();
	goto("./index.php");
	}
//print_r($_POST);

// $action contiendra le traitement envisagé parmi creer, modif, suppr
$action="creer";
if (!isset($traitetab)) {  //premier passage : on affiche le formulaire
   include("./etab_form.php");
}
else {
    //traitement du formulaire
    //========================
    connexion("$db");
    if (isset($btn_sauver)) {
       //Vérifier si l'étab n'existe pas déjà (uniquement sur le RNE)
       if (!isset($rne_etab)) {
           alert("Le RNE n'a pas été fourni.");
           gohistory(-1);//goto("sadmin_bas.php");
           exit();
       		}
       	$resetab=query("SELECT rne FROM etablissements WHERE rne='$rne_etab';");
	    if (mysql_num_rows($resetab)>0) {
           alert("Le RNE de l'établissement existe déjà.");
           gohistory(-1);//goto("sadmin_bas.php");
           exit();
	        }
       $annee=ascol();

       //Mise à la norme des variables (checkboxes à affecter si décochées)

       $rne_etab=addslashes($rne_etab);
       $nom_etab=addslashes($nom_etab);
       $adresse_etab=addslashes($adresse_etab);
       $ville_etab=addslashes($ville_etab);
       if (!isset($chgt_theme)) $chgt_theme=0;
       if (!isset($alert_message_vide)) $alert_message_vide=0;
       if (!isset($mdp_elev_etab)) $mdp_elev_etab=0;
       if (!isset($mdp_prof_etab)) $mdp_prof_etab=0;
       if (!isset($fiche_prof_etab)) $fiche_prof_etab=0;
       if (!isset($stats_prof_etab)) $stats_prof_etab=0;
       if (!isset($pop_profs)) $pop_profs=0;
       if (!isset($vouvoyer_elev)) $vouvoyer_elev=0;
		
       if (!isset($valid_profs_etab)) $valid_profs_etab=0;
       if (!isset($result_profs_etab)) $result_profs_etab=0;
		if (!isset($maxrefus_etab)) $maxrefus_etab=0;
		if (!isset($maxdemande_etab)) $maxdemande_etab=5;
		if (!isset($nbval_etab)) $nbval_etab=2;
		if (!isset($nbjvie_etab)) $nbjvie_etab=30;
		
       //sauvegarder des paramètres dans la table _Etablissement
       $sqlsauve="INSERT INTO etablissements
                  SET rne='".secs($rne_etab)."',
                      nom='".secs($nom_etab)."',
                      adresse='".secs($adresse_etab)."',
                      codepostal='".secs($codepost_etab)."',
                      ville='".secs($ville_etab)."',
                      theme='".secs($theme_etab)."',
                      chgt_theme=".seci($chgt_theme)." ,
                      niveau='".secs($niveau_etab)."',
                      nb_validations='".seci($nbval_etab)." ',
                      nbj_vie_demande='".seci($nbjvie_etab)." ',
                      nb_max_demandes='".seci($maxdemande_etab)." ',
                      nb_max_refus='".seci($maxrefus_etab)." ',
                      alert_message_vide=".seci($alert_message_vide)." ,
                      modele_login_e='".secs($modelelogin_elev_etab)."',
                      modele_login_p='".secs($modelelogin_prof_etab)."',
                      mdp_eleve=".seci($mdp_elev_etab)." ,
                      mdp_prof=".seci($mdp_prof_etab)." ,
                      fiche_profs=".seci($fiche_prof_etab)." ,
                      stats_profs=".seci($stats_prof_etab)." ,
                      pop_profs=".seci($pop_profs)." ,
                      vouvoyer_elev=".seci($vouvoyer_elev)." ,
                      valid_profs=".seci($valid_profs_etab)." ,
                      result_profs=".seci($result_profs_etab);
       query($sqlsauve);
       //Récup de l'ID de l'étab créé
       $etab_id=@mysql_insert_id();

       if (!$rne_etab) {  //jamais réalisé en principe !!! mais on ne sait jamais...
           //impose un RNE factice mais différent des normaux
           $rne_etab=$etab_id;
           query("UPDATE etablissements SET rne=".secs($rne_etab)." WHERE etab_id=$etab_id;");
       }

       //créer la famille TEST, l'admin et le gest
       cree_users($etab_id);

       //on peut envoyer la purée HTML à partir de là

       print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
       print "<html><head>\n";
       print "<meta http-equiv=\"content-type\" content=\"text/html; charset=ISO-8859-1\">\n";
       print "<title>Création d'un établissement</title>\n";
       print "<link rel=\"stylesheet\" href=\"../include/general.css\">\n";
       print "</head>";
       print "<body class=\"arial_sadmin\">\n";
//      print "<h2 align=\"center\">Création d'un établissement</h2>\n";
       print "<p class = 'titre'>Création d'un établissement</p><hr width='30%'>";
       print "<p>&nbsp;</p>\n";

        //Créer les sous-dossiers perso sous data/
       creer_repertoires($rne_etab);

       print "<p>Les nouveaux param&egrave;tres ont &eacute;t&eacute; sauvegard&eacute;s
              avec succ&egrave;s</p>";
       print "<b>Le nouvel établissement sera accessible avec l'identifiant $etab_id</b>";
       print "<form name=\"form1\" method=\"post\" action=\"sadmin_bas.php\">";
       print "<p align=\"center\">";
       print "<input type=\"submit\" class=\"coul\" name=\"envoi\" value=\"Suite\">";
       print "</p></form></body></html>";
    }
    else {
        goto("sadmin_bas.php");
    }
} //fin traitement du formulaire
?>
